#include <stdio.h>
#include <errno.h>
#include <string.h>

#include "pz.h"
#define your "Your Fortune Cookie Says:" 

struct _fortune {
	char *ch;
	int i;
}
fortune[] = {

	 {"     ",										11},
	 {"Fortune sides with him who dares",							10},
	 {"A man's best fortune, or his worst, is his wife",					9},
 	 {"Nothing gold can stay.",								8}, 
	 {"Water is to man as iPod Linux is to iPods,",						7},
	 {"My pride fell with my fortunes",							6}, 
	 {"Fortune does not change men; it unmasks them",					5}, 
	 {"Fortune and misfortune are two buckets in the same well",				4},
	 {"Fortune brings in some boats that are not steered.",					3}, 
	 {"We make our own fortunes and we call them fate",					2}, 
	 {"Fortune favors the audacious",		1},
	 {"       ",					0}
};

static int num;
static int sys;
static ttk_color i;

void draw_fortune (PzWidget *wid, ttk_surface srf) 
{ 
	ttk_color fg = ttk_ap_getx("window.fg")->color;
	i = 1;

	sys = (wid->x + wid->w)/2;

	if (i >= 1) {
		num = random() % 10 + 1;
	}
	ttk_text (srf,ttk_textfont,
(sys)-(ttk_text_width(ttk_textfont,your)/2), 35, fg,your);		

	ttk_text (srf,ttk_textfont,
(sys)-(ttk_text_width(ttk_textfont,fortune[num].ch)/2), 50, fg,fortune[num].ch);

}


int event_fortune (PzEvent *ev) 
{
    switch (ev->type) {
    case PZ_EVENT_BUTTON_UP:
      pz_close_window (ev->wid->win);
        break;
}
return 0;
}

PzWindow *new_fortune_window()
{
PzWindow *ret;




    ret = pz_new_window ("Fortune", PZ_WINDOW_NORMAL);
    pz_add_widget (ret, draw_fortune, event_fortune);
    return pz_finish_window (ret);
}


void init_fortune() 
{
    pz_menu_add_action ("/Extras/Demos/Fortune", new_fortune_window);
}

PZ_MOD_INIT (init_fortune);
